Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class EclipseWtp

- org.gradle.plugins.ide.eclipse.model.EclipseWtp

- Enables fine-tuning wtp/wst details of the Eclipse plugin

  More interesting examples you will find in docs for EclipseWtpComponent and EclipseWtpFacet

       apply plugin: 'java'
       apply plugin: 'war'
       apply plugin: 'eclipse-wtp'

       eclipse {

         //if you want parts of paths in resulting file(s) to be replaced by variables (files):
         pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

         wtp {
           component {
             //for examples see docs for EclipseWtpComponent
           }

           facet {
             //for examples see docs for EclipseWtpFacet
           }
         }
       }

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `EclipseWtpComponent` | `component` Configures wtp component.
    `EclipseWtpFacet` | `facet` Configures wtp facet.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EclipseWtp (EclipseClasspath eclipseClasspath)` @param eclipseClasspath - wtp needs access to classpath

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `component(Closure action)` Configures wtp component.
    `void` | `facet(Closure action)` Configures wtp facet.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### EclipseWtpComponent component

      Configures wtp component.

      For examples see docs for EclipseWtpComponent

    - #### EclipseWtpFacet facet

      Configures wtp facet.

      For examples see docs for EclipseWtpFacet

  - ### Constructor Detail

    - #### EclipseWtp(EclipseClasspath eclipseClasspath)

      Parameters:
        `eclipseClasspath` - - wtp needs access to classpath

  - ### Method Detail

    - #### void component(Closure action)

      Configures wtp component.

      For examples see docs for EclipseWtpComponent

      Parameters:
        action

    - #### void facet(Closure action)

      Configures wtp facet.

      For examples see docs for EclipseWtpFacet

      Parameters:
        action